## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHash< T, K >::Iterator Class Reference

An iterator class for the hash. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions

bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
| Iterator (const Iterator &o)
| Copy constructor.
const T & | Next ()
| Get the next element's value.
Iterator & | operator= (const Iterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.

## Protected Member Functions

| Iterator (const csHash< T, K > *hash0, const K &key0)

## Friends

class | csHash< T, K >

## Detailed Description

### template<class T, class K = unsigned int>
class csHash< T, K >::Iterator

An iterator class for the hash.

Definition at line 564 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int>
csHash< T, K >::Iterator::Iterator | ( | const Iterator & | o | ) | `[inline]`

| Copy constructor. Definition at line 590 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int>
bool csHash< T, K >::Iterator::HasNext | ( |  | ) | const`[inline]`

| Returns a boolean indicating whether or not the hash has more elements. Definition at line 609 of file hash.h.

template<class T, class K = unsigned int>
const T& csHash< T, K >::Iterator::Next | ( |  | ) | `[inline]`

| Get the next element's value. Definition at line 615 of file hash.h. References csHash< T, K >::Elements.

template<class T, class K = unsigned int>
Iterator& csHash< T, K >::Iterator::operator= | ( | const Iterator & | o | ) | `[inline]`

| Assignment operator. Definition at line 598 of file hash.h. References csHash< T, K >::Iterator::bucket, csHash< T, K >::Iterator::element, csHash< T, K >::Iterator::hash, csHash< T, K >::Iterator::key, and csHash< T, K >::Iterator::size.

template<class T, class K = unsigned int>
void csHash< T, K >::Iterator::Reset | ( |  | ) | `[inline]`

| Move the iterator back to the first element. Definition at line 624 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h